org.apache.xml.res

## Class XMLErrorResources_zh

- java.lang.Object
- - java.util.ResourceBundle
  - - java.util.ListResourceBundle
    - - org.apache.xml.res.XMLErrorResources_zh

    public class XMLErrorResources_zh
    extends java.util.ListResourceBundle

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first add a String constant. And you need to enter key, value pair as part of the contents array. You also need to update MAX_CODE for error strings and MAX_WARNING for warnings ( Needed for only information purpose )

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.ResourceBundle

`java.util.ResourceBundle.Control`

### Field Summary

Fields
`static java.lang.String` `ER_ARG_LOCALNAME_INVALID`
`static java.lang.String` `ER_ARG_LOCALNAME_NULL`
`static java.lang.String` `ER_ARG_PREFIX_INVALID`
`static java.lang.String` `ER_AXIS_NOT_SUPPORTED`
`static java.lang.String` `ER_AXIS_TRAVERSER_NOT_SUPPORTED`
`static java.lang.String` `ER_CANNOT_CHANGE_WHILE_PARSING`
`static java.lang.String` `ER_CANNOT_INIT_URI_EMPTY_PARMS`
`static java.lang.String` `ER_CANNOT_OVERWRITE_CAUSE`
`static java.lang.String` `ER_CANT_HAVE_MORE_THAN_ONE_ROOT`
`static java.lang.String` `ER_CANT_OUTPUT_TEXT_BEFORE_DOC`
`static java.lang.String` `ER_CHILD_HAS_NO_OWNER_DOCUMENT`
`static java.lang.String` `ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT`
`static java.lang.String` `ER_CHUNKEDINTARRAY_NOT_SUPPORTED`
`static java.lang.String` `ER_COJOINROUTINESET_FAILED`
`static java.lang.String` `ER_COROUTINE_CO_EXIT`
`static java.lang.String` `ER_COROUTINE_NOT_AVAIL`
`static java.lang.String` `ER_COROUTINE_PARAM`
`static java.lang.String` `ER_COULD_NOT_INIT_PARSER`
`static java.lang.String` `ER_COULD_NOT_RESOLVE_NODE`
`static java.lang.String` `ER_CREATEDOCUMENT_NOT_SUPPORTED`
`static java.lang.String` `ER_ERRORHANDLER_CREATED_WITH_NULL_PRINTWRITER`
`static java.lang.String` `ER_EXCEPTION_CREATING_POOL`
`static java.lang.String` `ER_FRAG_FOR_GENERIC_URI`
`static java.lang.String` `ER_FRAG_INVALID_CHAR`
`static java.lang.String` `ER_FRAG_WHEN_PATH_NULL`
`static java.lang.String` `ER_FUNCTION_NOT_SUPPORTED`
`static java.lang.String` `ER_HOST_ADDRESS_NOT_WELLFORMED`
`static java.lang.String` `ER_INCRSAXSRCFILTER_NOT_RESTARTABLE`
`static java.lang.String` `ER_INVALID_PORT`
`static java.lang.String` `ER_ITERATOR_AXIS_NOT_IMPLEMENTED`
`static java.lang.String` `ER_ITERATOR_CLONE_NOT_SUPPORTED`
`static java.lang.String` `ER_LOCATION_UNKNOWN`
`static java.lang.String` `ER_METHOD_NOT_SUPPORTED`
`static java.lang.String` `ER_NAME_CANT_START_WITH_COLON`
`static java.lang.String` `ER_NO_DEFAULT_IMPL`
`static java.lang.String` `ER_NO_DTMIDS_AVAIL`
`static java.lang.String` `ER_NO_FRAGMENT_STRING_IN_PATH`
`static java.lang.String` `ER_NO_PARSE_CALL_WHILE_PARSING`
`static java.lang.String` `ER_NO_PORT_IF_NO_HOST`
`static java.lang.String` `ER_NO_QUERY_STRING_IN_PATH`
`static java.lang.String` `ER_NO_SCHEME_IN_URI`
`static java.lang.String` `ER_NO_SCHEME_INURI`
`static java.lang.String` `ER_NO_USERINFO_IF_NO_HOST`
`static java.lang.String` `ER_NODE_NON_NULL`
`static java.lang.String` `ER_NOT_SUPPORTED`
`static java.lang.String` `ER_OFFSET_BIGGER_THAN_SLOT`
`static java.lang.String` `ER_PARSER_DOTERMINATE_ANSWERS`
`static java.lang.String` `ER_PARSER_IN_USE`
`static java.lang.String` `ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE`
`static java.lang.String` `ER_PATH_INVALID_CHAR`
`static java.lang.String` `ER_PORT_WHEN_HOST_NULL`
`static java.lang.String` `ER_PREFIX_MUST_RESOLVE`
`static java.lang.String` `ER_SCHEME_FROM_NULL_STRING`
`static java.lang.String` `ER_SCHEME_NOT_CONFORMANT`
`static java.lang.String` `ER_SCHEME_REQUIRED`
`static java.lang.String` `ER_SELF_CAUSATION_NOT_PERMITTED`
`static java.lang.String` `ER_STARTPARSE_NEEDS_SAXPARSER`
`static java.lang.String` `ER_STARTPARSE_WHILE_PARSING`
`static java.lang.String` `ER_SYSTEMID_UNKNOWN`
`static java.lang.String` `ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED`
`static java.lang.String` `ER_UNKNOWN_AXIS_TYPE`
`static java.lang.String` `ER_XMLRDR_NOT_BEFORE_STARTPARSE`

### Constructor Summary

Constructors
Constructor and Description
`XMLErrorResources_zh()`

### Method Summary

Methods
`java.lang.Object[][]` `getContents()` Get the lookup table for error messages
`static XMLErrorResources` `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

### Methods inherited from class java.util.ListResourceBundle

`getKeys, handleGetObject`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ER_FUNCTION_NOT_SUPPORTED

    public static final java.lang.String ER_FUNCTION_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_CANNOT_OVERWRITE_CAUSE

    public static final java.lang.String ER_CANNOT_OVERWRITE_CAUSE

See Also:
  Constant Field Values

#### ER_NO_DEFAULT_IMPL

    public static final java.lang.String ER_NO_DEFAULT_IMPL

See Also:
  Constant Field Values

#### ER_CHUNKEDINTARRAY_NOT_SUPPORTED

    public static final java.lang.String ER_CHUNKEDINTARRAY_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_OFFSET_BIGGER_THAN_SLOT

    public static final java.lang.String ER_OFFSET_BIGGER_THAN_SLOT

See Also:
  Constant Field Values

#### ER_COROUTINE_NOT_AVAIL

    public static final java.lang.String ER_COROUTINE_NOT_AVAIL

See Also:
  Constant Field Values

#### ER_COROUTINE_CO_EXIT

    public static final java.lang.String ER_COROUTINE_CO_EXIT

See Also:
  Constant Field Values

#### ER_COJOINROUTINESET_FAILED

    public static final java.lang.String ER_COJOINROUTINESET_FAILED

See Also:
  Constant Field Values

#### ER_COROUTINE_PARAM

    public static final java.lang.String ER_COROUTINE_PARAM

See Also:
  Constant Field Values

#### ER_PARSER_DOTERMINATE_ANSWERS

    public static final java.lang.String ER_PARSER_DOTERMINATE_ANSWERS

See Also:
  Constant Field Values

#### ER_NO_PARSE_CALL_WHILE_PARSING

    public static final java.lang.String ER_NO_PARSE_CALL_WHILE_PARSING

See Also:
  Constant Field Values

#### ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED

    public static final java.lang.String ER_TYPED_ITERATOR_AXIS_NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### ER_ITERATOR_AXIS_NOT_IMPLEMENTED

    public static final java.lang.String ER_ITERATOR_AXIS_NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### ER_ITERATOR_CLONE_NOT_SUPPORTED

    public static final java.lang.String ER_ITERATOR_CLONE_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_UNKNOWN_AXIS_TYPE

    public static final java.lang.String ER_UNKNOWN_AXIS_TYPE

See Also:
  Constant Field Values

#### ER_AXIS_NOT_SUPPORTED

    public static final java.lang.String ER_AXIS_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_NO_DTMIDS_AVAIL

    public static final java.lang.String ER_NO_DTMIDS_AVAIL

See Also:
  Constant Field Values

#### ER_NOT_SUPPORTED

    public static final java.lang.String ER_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_NODE_NON_NULL

    public static final java.lang.String ER_NODE_NON_NULL

See Also:
  Constant Field Values

#### ER_COULD_NOT_RESOLVE_NODE

    public static final java.lang.String ER_COULD_NOT_RESOLVE_NODE

See Also:
  Constant Field Values

#### ER_STARTPARSE_WHILE_PARSING

    public static final java.lang.String ER_STARTPARSE_WHILE_PARSING

See Also:
  Constant Field Values

#### ER_STARTPARSE_NEEDS_SAXPARSER

    public static final java.lang.String ER_STARTPARSE_NEEDS_SAXPARSER

See Also:
  Constant Field Values

#### ER_COULD_NOT_INIT_PARSER

    public static final java.lang.String ER_COULD_NOT_INIT_PARSER

See Also:
  Constant Field Values

#### ER_EXCEPTION_CREATING_POOL

    public static final java.lang.String ER_EXCEPTION_CREATING_POOL

See Also:
  Constant Field Values

#### ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

    public static final java.lang.String ER_PATH_CONTAINS_INVALID_ESCAPE_SEQUENCE

See Also:
  Constant Field Values

#### ER_SCHEME_REQUIRED

    public static final java.lang.String ER_SCHEME_REQUIRED

See Also:
  Constant Field Values

#### ER_NO_SCHEME_IN_URI

    public static final java.lang.String ER_NO_SCHEME_IN_URI

See Also:
  Constant Field Values

#### ER_NO_SCHEME_INURI

    public static final java.lang.String ER_NO_SCHEME_INURI

See Also:
  Constant Field Values

#### ER_PATH_INVALID_CHAR

    public static final java.lang.String ER_PATH_INVALID_CHAR

See Also:
  Constant Field Values

#### ER_SCHEME_FROM_NULL_STRING

    public static final java.lang.String ER_SCHEME_FROM_NULL_STRING

See Also:
  Constant Field Values

#### ER_SCHEME_NOT_CONFORMANT

    public static final java.lang.String ER_SCHEME_NOT_CONFORMANT

See Also:
  Constant Field Values

#### ER_HOST_ADDRESS_NOT_WELLFORMED

    public static final java.lang.String ER_HOST_ADDRESS_NOT_WELLFORMED

See Also:
  Constant Field Values

#### ER_PORT_WHEN_HOST_NULL

    public static final java.lang.String ER_PORT_WHEN_HOST_NULL

See Also:
  Constant Field Values

#### ER_INVALID_PORT

    public static final java.lang.String ER_INVALID_PORT

See Also:
  Constant Field Values

#### ER_FRAG_FOR_GENERIC_URI

    public static final java.lang.String ER_FRAG_FOR_GENERIC_URI

See Also:
  Constant Field Values

#### ER_FRAG_WHEN_PATH_NULL

    public static final java.lang.String ER_FRAG_WHEN_PATH_NULL

See Also:
  Constant Field Values

#### ER_FRAG_INVALID_CHAR

    public static final java.lang.String ER_FRAG_INVALID_CHAR

See Also:
  Constant Field Values

#### ER_PARSER_IN_USE

    public static final java.lang.String ER_PARSER_IN_USE

See Also:
  Constant Field Values

#### ER_CANNOT_CHANGE_WHILE_PARSING

    public static final java.lang.String ER_CANNOT_CHANGE_WHILE_PARSING

See Also:
  Constant Field Values

#### ER_SELF_CAUSATION_NOT_PERMITTED

    public static final java.lang.String ER_SELF_CAUSATION_NOT_PERMITTED

See Also:
  Constant Field Values

#### ER_NO_USERINFO_IF_NO_HOST

    public static final java.lang.String ER_NO_USERINFO_IF_NO_HOST

See Also:
  Constant Field Values

#### ER_NO_PORT_IF_NO_HOST

    public static final java.lang.String ER_NO_PORT_IF_NO_HOST

See Also:
  Constant Field Values

#### ER_NO_QUERY_STRING_IN_PATH

    public static final java.lang.String ER_NO_QUERY_STRING_IN_PATH

See Also:
  Constant Field Values

#### ER_NO_FRAGMENT_STRING_IN_PATH

    public static final java.lang.String ER_NO_FRAGMENT_STRING_IN_PATH

See Also:
  Constant Field Values

#### ER_CANNOT_INIT_URI_EMPTY_PARMS

    public static final java.lang.String ER_CANNOT_INIT_URI_EMPTY_PARMS

See Also:
  Constant Field Values

#### ER_METHOD_NOT_SUPPORTED

    public static final java.lang.String ER_METHOD_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_INCRSAXSRCFILTER_NOT_RESTARTABLE

    public static final java.lang.String ER_INCRSAXSRCFILTER_NOT_RESTARTABLE

See Also:
  Constant Field Values

#### ER_XMLRDR_NOT_BEFORE_STARTPARSE

    public static final java.lang.String ER_XMLRDR_NOT_BEFORE_STARTPARSE

See Also:
  Constant Field Values

#### ER_AXIS_TRAVERSER_NOT_SUPPORTED

    public static final java.lang.String ER_AXIS_TRAVERSER_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_ERRORHANDLER_CREATED_WITH_NULL_PRINTWRITER

    public static final java.lang.String ER_ERRORHANDLER_CREATED_WITH_NULL_PRINTWRITER

See Also:
  Constant Field Values

#### ER_SYSTEMID_UNKNOWN

    public static final java.lang.String ER_SYSTEMID_UNKNOWN

See Also:
  Constant Field Values

#### ER_LOCATION_UNKNOWN

    public static final java.lang.String ER_LOCATION_UNKNOWN

See Also:
  Constant Field Values

#### ER_PREFIX_MUST_RESOLVE

    public static final java.lang.String ER_PREFIX_MUST_RESOLVE

See Also:
  Constant Field Values

#### ER_CREATEDOCUMENT_NOT_SUPPORTED

    public static final java.lang.String ER_CREATEDOCUMENT_NOT_SUPPORTED

See Also:
  Constant Field Values

#### ER_CHILD_HAS_NO_OWNER_DOCUMENT

    public static final java.lang.String ER_CHILD_HAS_NO_OWNER_DOCUMENT

See Also:
  Constant Field Values

#### ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

    public static final java.lang.String ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

See Also:
  Constant Field Values

#### ER_CANT_OUTPUT_TEXT_BEFORE_DOC

    public static final java.lang.String ER_CANT_OUTPUT_TEXT_BEFORE_DOC

See Also:
  Constant Field Values

#### ER_CANT_HAVE_MORE_THAN_ONE_ROOT

    public static final java.lang.String ER_CANT_HAVE_MORE_THAN_ONE_ROOT

See Also:
  Constant Field Values

#### ER_ARG_LOCALNAME_NULL

    public static final java.lang.String ER_ARG_LOCALNAME_NULL

See Also:
  Constant Field Values

#### ER_ARG_LOCALNAME_INVALID

    public static final java.lang.String ER_ARG_LOCALNAME_INVALID

See Also:
  Constant Field Values

#### ER_ARG_PREFIX_INVALID

    public static final java.lang.String ER_ARG_PREFIX_INVALID

See Also:
  Constant Field Values

#### ER_NAME_CANT_START_WITH_COLON

    public static final java.lang.String ER_NAME_CANT_START_WITH_COLON

See Also:
  Constant Field Values

### Constructor Detail

#### XMLErrorResources_zh

    public XMLErrorResources_zh()

### Method Detail

#### getContents

    public java.lang.Object[][] getContents()

Get the lookup table for error messages

Specified by:
  `getContents` in class `java.util.ListResourceBundle`
Returns:
  The association list.

#### loadResourceBundle

    public static final XMLErrorResources loadResourceBundle(java.lang.String className)
                                                      throws java.util.MissingResourceException

Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

Parameters:
  `className` - the name of the class that implements the resource bundle.
Returns:
  the ResourceBundle
Throws:
  `java.util.MissingResourceException`